<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('contracts', function (Blueprint $table) {
            $table->id();
            $table->foreignId('client_id')->constrained()->onDelete('cascade'); // Client reference
            $table->foreignId('project_id')->constrained()->onDelete('cascade'); // Project reference
            $table->string('subject');
            $table->decimal('amount', 15, 2); // Monetary value
            $table->text('description'); // Description (to be edited using Quill editor)
            $table->string('status')->default('Pending');
            $table->date('start_date');
            $table->date('due_date');
            $table->string('note')->nullable();
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('contracts');
    }
};
